rules:
  - id: colorpicker-color-input-haml
    patterns:
      - pattern: f.text_field :color
    message: |
      Detected custom color form input.
    languages:
      - generic
    severity: WARNING
    paths:
      include:
        - '*.haml'
    metadata:
      componentLabel: 'component:form-color-picker'
      pajamasCompliant: false

  - id: colorpicker-suggested-colors-haml
    patterns:
      - pattern: render_suggested_colors
    message: |
      Detected custom color suggestions.
    languages:
      - generic
    severity: WARNING
    paths:
      include:
        - '*.haml'
    metadata:
      componentLabel: 'component:form-color-picker'
      pajamasCompliant: false
